package fanch.multijeu.common.exceptions;

import android.os.Build;
import android.support.annotation.RequiresApi;

public class BadChildClass extends RuntimeException {
    public BadChildClass() {
        super("Bad class of child");
    }

    public BadChildClass(String message) {
        super(message);
    }

    public BadChildClass(String message, Throwable cause) {
        super(message, cause);
    }

    public BadChildClass(Throwable cause) {
        super(cause);
    }

    @RequiresApi(api = Build.VERSION_CODES.N)
    protected BadChildClass(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }
}
